Subject: bug#65818: closed (Re: bug#65818: 30.0.50; Mention NonGNU ELPA in C-h C-e)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 08 Sep 2023 11:23:02 +0000

Your bug report

#65818: 30.0.50; Mention NonGNU ELPA in C-h C-e

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65818: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65818
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65818: 30.0.50; Mention NonGNU ELPA in C-h C-e
From: Stefan Kangas <[email-masked]>
To: Eshel Yaron <[email-masked]>
Cc: [email-masked]
Date: Fri, 8 Sep 2023 04:22:22 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 29.2

Eshel Yaron <[email-masked]> writes:

> `C-h C-e` displays `(info "(efaq)Packages that do not come with Emacs")`,
> which says:
>
>     There are other Emacs Lisp package archives [besides GNU ELPA].  To use
>     additional archives, you can customize the 'package-archives' variable.
>     Those archives have no affiliation with GNU Emacs, and we do not monitor
>     how they are maintained.
>
> This seems to disregard NonGNU ELPA, which is also included by default
> in `package-archives`.  I'm not sure exactly where, but it seems like
> this node should mention NonGNU ELPA as well.

Thanks, I've added NonGNU ELPA to the FAQ on emacs-29.  If someone wants
to tweak or improve it, feel free.

Subject: 30.0.50; Mention NonGNU ELPA in C-h C-e
From: Eshel Yaron <[email-masked]>
To: [email-masked]
Date: Fri, 08 Sep 2023 11:23:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

`C-h C-e` displays `(info "(efaq)Packages that do not come with Emacs")`,
which says:

    There are other Emacs Lisp package archives [besides GNU ELPA].  To use
    additional archives, you can customize the 'package-archives' variable.
    Those archives have no affiliation with GNU Emacs, and we do not monitor
    how they are maintained.

This seems to disregard NonGNU ELPA, which is also included by default
in `package-archives`.  I'm not sure exactly where, but it seems like
this node should mention NonGNU ELPA as well.

In GNU Emacs 30.0.50 (build 4, x86_64-apple-darwin22.5.0, NS
 appkit-2299.60 Version 13.4 (Build 22F66)) of 2023-09-08
Repository revision: 46249f6139d1ea9aeb856febeffe2e4bac912e06
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2299
System Description:  macOS 13.4

Configured using:
 'configure 'CFLAGS=-g0 -O3' --with-native-compilation --with-json
 --with-imagemagick --with-tree-sitter --enable-link-time-optimization'

Configured features:
ACL DBUS GIF GMP GNUTLS IMAGEMAGICK JPEG JSON LCMS2 LIBXML2 MODULES
NATIVE_COMP NOTIFY KQUEUE NS PDUMPER PNG SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-